local CommonTabGoupItemTemplate = BaseClass("CommonTabGoupItemTemplate")
local __init = function(self)
  self.title = ""
  self.iconPath = ""
  self.eventId = ""
  self.minWidth = nil
  self.minHeight = nil
  self.unSelectIconPath = ""
  self:AddListener()
end
local __delete = function(self)
  self.title = nil
  self.iconPath = nil
  self.eventId = nil
  self.minWidth = nil
  self.minHeight = nil
  self.unSelectIconPath = nil
  self:RemoveListener()
end
local AddListener = function(self)
end
local RemoveListener = function(self)
end
local SetHandle = function(self, onClickHandler, refreshRedHandler)
  self.onClickHandler = onClickHandler
  self.refreshRedHandler = refreshRedHandler
end
CommonTabGoupItemTemplate.__init = __init
CommonTabGoupItemTemplate.__delete = __delete
CommonTabGoupItemTemplate.AddListener = AddListener
CommonTabGoupItemTemplate.RemoveListener = RemoveListener
CommonTabGoupItemTemplate.SetHandle = SetHandle
return CommonTabGoupItemTemplate
